>>> price = 3_000_000
>>> "제품가격은 {0:d}".format(price)
'제품가격은 3000000입니다.'
>>> "제품가격은 {0:,d}".format(price)
'제품가격은 3,000,000입니다.'
>>> r = 15 * 15 * 3.141592
>>> "반지름={0:d}, 원넓이={1:f}".format(15, r)
'반지름=15, 원넓이=706.8582'
>>> r = 15 * 15 * 3.141592
>>> "반지름={0:d}, 원넓이={1:.2f}".format(15, r) # 소수점 둘째자리
'반지름=15, 원넓이=706.86'
>>> "반지름={0:d}, 원넓이={1:10.2f}".format(15, r) # 자릿수 10, 소수점 둘째자리
'반지름=15, 원넓이= 706.86'
>>> "{0:d}".format(1000) # 10진수로 표현
'1000'
>>> "{0:7d}".format(1000) # 자릿수를 7칸으로 표현
'   1000'
>>> "{0:10d}".format(1000) # 자릿수를 10칸으로 표현
'      1000'
>>> "{0:<10d}".format(1000) # 왼쪽으로 정렬하여 표현
'1000      '
>>> "{0:>10d}".format(1000) # 오른쪽으로 정렬하여 표현
'      1000'
>>> "{0:-10d}".format(1000) # 음수일 경우에 – 표시, 양수는 표시 안함
'      1000'
>>> "{0:+10d}".format(1000) # 양수일 경우에 + 표시, 음수일 경우는 – 표시
'     +1000'