>>> "x is {0:d}".format(1000) # d: 10진수로 표시
'x is 1000'
>>> "x is {0:b}".format(1000) # b: 2진수로 표시
'x is 1111101000'
>>> "x is {0:o}".format(1000) # o: 8진수로 표시
'x is 1750'
>>> "x is {0:x}".format(1000) # x: 16진수로 표시
'x is 3e8'
>>> "x is {0:e}".format(1000) # e: 지수 형태로 표시
'x is 1.000000e+03'
>>> "수출액 {0:d} 달러".format(1000000) # {0}과 동일
'수출액 1000000 달러'
>>> "수출액 {0:,d} 달러".format(1000000) # {0:,}와 동일
'수출액 1,000,000 달러'